function init(hero) {
    hero.setName("hero.fiskheroes.martian_manhunter.name");
	hero.setVersion("Smallville");
    hero.setTier(4);
    
	hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:superhuman_durability", "fiskheroes:absolute_intangibility", "fiskheroes:propelled_flight", "fiskheroes:heat_vision");
    hero.addWeaknesses("fiskheroes:fire");
	hero.addAttribute("ATTACK_DAMAGE", 2.0, 1);
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("SWORD_DAMAGE", -0.25, 1);
	hero.addAttribute("SPRINT_SPEED", 0.2, 1);
	hero.addAttribute("STEP_HEIGHT", 0.5, 0);
    
    hero.addKeyBind("INTANGIBILITY", "key.intangibility", 1);
	hero.addKeyBind("HEAT_VISION", "key.heatVision", 2);
    
	hero.setHasProperty(eyes);
}

function eyes(entity, property) {
    return property == "MASK_TOGGLE" || property == "BREATHE_UNDERWATER" || property == "BREATHE_SPACE";
}
